Web Crawlers
============

This section documents the web crawler modules that provide research capabilities by extracting information from the web.

Web Researcher
------------

.. automodule:: lib.ai_web_researcher
   :members:
   :undoc-members:
   :show-inheritance:

Web Crawlers
----------

.. automodule:: lib.web_crawlers
   :members:
   :undoc-members:
   :show-inheritance:

Research Storage
--------------

.. automodule:: lib.workspace.alwrity_web_research
   :members:
   :undoc-members:
   :show-inheritance: